Subject: Re: linux-next: Tree for May 25

From: Sean Christopherson <[email-masked]>
Date: Wed, 27 May 2026 08:33:03 -0700

On Tue, May 26, 2026, Uwe Kleine-König wrote:
> Hello Mark,
> 
> I got a build failure and I think this is due to a mis-merge in next:
> 
> 	WARNING: modpost: vmlinux: section mismatch in reference: tdx_module_run_update.cold+0x8 (section: .text.unlikely) -> get_tdx_sys_info_version (section: .init.text)
> 	ERROR: modpost: Section mismatches detected.
> 	Set CONFIG_SECTION_MISMATCH_WARN_ONLY=y to allow them.
> 
> 
> Commit 6e49a980dea9 ("x86/virt/tdx: Refresh TDX module version after
> update") drops the __init annotation from get_tdx_sys_info_version() in
> arch/x86/virt/vmx/tdx/tdx_global_metadata.c
> 
> In commit f2deea555964 ("Merge branch 'next' of
> https://github.com/kvm-x86/linux.git") the __init is readded however.
> When I try to merge the two parents of f2deea555964 to reproduce the
> issue, git gets it right for me without a merge conflict (in that file).

Build bots reported this as well[*], but next-20260527 looks correct so I assume
Mark already handled this?

[*] https://lore.kernel.org/all/[email-masked]